Google Chrome prior 48.0.2564.109 Brotli dec/decode.c ProcessCommandsInternal memory corruption

CVSS Meta Temp Score
CVSS is a standardized scoring system to determine possibilities of attacks. The Temp Score considers temporal factors like disclosure, exploit and countermeasures. The unique Meta Score calculates the average score of different sources to provide a normalized scoring system.
Current Exploit Price (≈)
Our analysts are monitoring exploit markets and are in contact with vulnerability brokers. The range indicates the observed or calculated exploit price to be seen on exploit markets. A good indicator to understand the monetary effort required for and the popularity of an attack.
CTI Interest Score
Our Cyber Threat Intelligence team is monitoring different web sites, mailing lists, exploit markets and social media networks. The CTI Interest Score identifies the interest of attackers and the security community for this specific vulnerability in real-time. A high score indicates an elevated risk to be targeted for this vulnerability.
9.1$5k-$25k0.00

A vulnerability, which was classified as very critical, has been found in Google Chrome (Web Browser). Affected by this issue is the function ProcessCommandsInternal of the file dec/decode.c of the component Brotli. The manipulation with an unknown input leads to a memory corruption vulnerability. Using CWE to declare the problem leads to CWE-119. The product performs operations on a memory buffer, but it can read from or write to a memory location that is outside of the intended boundary of the buffer. Impacted is confidentiality, integrity, and availability. CVE summarizes:

Integer underflow in the ProcessCommandsInternal function in dec/decode.c in Brotli, as used in Google Chrome before 48.0.2564.109, allows remote attackers to cause a denial of service (buffer overflow) or possibly have unspecified other impact via crafted data with brotli compression.

The weakness was presented 02/14/2016 by Mariusz Mlynski with Zero Day Initiative (Website). The advisory is shared for download at googlechromereleases.blogspot.com. This vulnerability is handled as CVE-2016-1624. The attack may be launched remotely. No form of authentication is required for exploitation. There are known technical details, but no exploit is available. The current price for an exploit might be approx. USD $5k-$25k (estimation calculated on 07/08/2022). It is expected to see the exploit prices for this product increasing in the near future.

The vulnerability scanner Nessus provides a plugin with the ID 88869 (Debian DSA-3486-1 : chromium-browser - security update), which helps to determine the existence of the flaw in a target environment. It is assigned to the family Debian Local Security Checks and running in the context l. The commercial vulnerability scanner Qualys is able to test this issue with plugin 168619 (OpenSuSE Security Update for Security Chromium (openSUSE-SU-2016:0518-1)).

Upgrading to version 48.0.2564.109 eliminates this vulnerability. The upgrade is hosted for download at chrome.google.com. A possible mitigation has been published 7 days after the disclosure of the vulnerability.

The vulnerability is also documented in the vulnerability database at Tenable (88869).

Productinfo

Type

Vendor

Name

Version

License

CPE 2.3info

CPE 2.2info

CVSSv4info

VulDB CVSS-B Score: 🔍
VulDB CVSS-BT Score: 🔍
VulDB Vector: 🔍
VulDB Reliability: 🔍

CVSSv3info

VulDB Meta Base Score: 9.3
VulDB Meta Temp Score: 9.1

VulDB Base Score: 9.8
VulDB Temp Score: 9.4
VulDB Vector: 🔍
VulDB Reliability: 🔍

NVD Base Score: 8.8
NVD Vector: 🔍

CVSSv2info

AVACAuCIA
💳💳💳💳💳💳
💳💳💳💳💳💳
💳💳💳💳💳💳
VectorComplexityAuthenticationConfidentialityIntegrityAvailability
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock
unlockunlockunlockunlockunlockunlock

VulDB Base Score: 🔍
VulDB Temp Score: 🔍
VulDB Reliability: 🔍

NVD Base Score: 🔍

Exploitinginfo

Class: Memory corruption
CWE: CWE-119
CAPEC: 🔍
ATT&CK: 🔍

Local: No
Remote: Yes

Availability: 🔍
Status: Not defined

EPSS Score: 🔍
EPSS Percentile: 🔍

Price Prediction: 🔍
Current Price Estimation: 🔍

0-Dayunlockunlockunlockunlock
Todayunlockunlockunlockunlock

Nessus ID: 88869
Nessus Name: Debian DSA-3486-1 : chromium-browser - security update
Nessus File: 🔍
Nessus Risk: 🔍
Nessus Family: 🔍
Nessus Context: 🔍

OpenVAS ID: 802597
OpenVAS Name: Google Chrome Multiple Vulnerabilities Feb16 (Windows)
OpenVAS File: 🔍
OpenVAS Family: 🔍

Qualys ID: 🔍
Qualys Name: 🔍

Threat Intelligenceinfo

Interest: 🔍
Active Actors: 🔍
Active APT Groups: 🔍

Countermeasuresinfo

Recommended: Upgrade
Status: 🔍

Reaction Time: 🔍
Exposure Time: 🔍

Upgrade: Chrome 48.0.2564.109

Timelineinfo

01/12/2016 🔍
02/08/2016 +27 days 🔍
02/08/2016 +0 days 🔍
02/09/2016 +1 days 🔍
02/13/2016 +3 days 🔍
02/14/2016 +1 days 🔍
02/14/2016 +0 days 🔍
02/20/2016 +6 days 🔍
02/21/2016 +1 days 🔍
07/08/2022 +2328 days 🔍

Sourcesinfo

Vendor: google.com
Product: google.com

Advisory: USN-2895-1
Researcher: Mariusz Mlynski
Organization: Zero Day Initiative
Status: Not defined
Confirmation: 🔍

CVE: CVE-2016-1624 (🔍)
SecurityTracker: 1035183
Vulnerability Center: 56542 - Google Chrome <48.0.2564.109 Remote DoS or Code Execution due to a Buffer Overflow in Brotli, High
SecurityFocus: 83125 - Google Chrome Prior to 48.0.2564.109 Multiple Security Vulnerabilities

Entryinfo

Created: 02/14/2016 04:26 PM
Updated: 07/08/2022 07:16 AM
Changes: 02/14/2016 04:26 PM (75), 08/22/2018 09:47 AM (15), 07/08/2022 07:10 AM (5), 07/08/2022 07:16 AM (1)
Complete: 🔍
Cache ID: 44:703:40

Discussion

No comments yet. Languages: en.

Please log in to comment.

Do you need the next level of professionalism?

Upgrade your account now!